> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Current User

> Update user by id



## OpenAPI

````yaml patch /users/me
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/me:
    patch:
      tags:
        - users
      summary: Update Current User
      description: Update user by id
      operationId: update_current_user_users_me_patch
      requestBody:
        content:
          multipart/form-data:
            schema:
              allOf:
                - $ref: '#/components/schemas/Body_update_current_user_users_me_patch'
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserMeResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_update_current_user_users_me_patch:
      properties:
        avatar:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: Avatar
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
      type: object
      title: Body_update_current_user_users_me_patch
    UserMeResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        is_verified:
          type: boolean
          title: Is Verified
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        rating:
          anyOf:
            - $ref: '#/components/schemas/UserRatingResponse'
            - type: 'null'
        format_balance:
          type: string
          title: Format Balance
          readOnly: true
      type: object
      required:
        - id
        - phone
        - first_name
        - last_name
        - username
        - avatar_url
        - is_verified
        - format_balance
      title: UserMeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserRatingResponse:
      properties:
        level:
          $ref: '#/components/schemas/UserRatingLevelResponse'
        points:
          type: integer
          title: Points
      type: object
      required:
        - level
        - points
      title: UserRatingResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserRatingLevelResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        queue:
          type: integer
          title: Queue
        max_points:
          type: integer
          title: Max Points
        price_range_min:
          type: integer
          title: Price Range Min
        price_range_max:
          type: integer
          title: Price Range Max
      type: object
      required:
        - id
        - name
        - queue
        - max_points
        - price_range_min
        - price_range_max
      title: UserRatingLevelResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````